Bug 180963 - [Win] Use WCharStringExtras functions in WebCore
Summary: [Win] Use WCharStringExtras functions in WebCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Don Olmstead
URL:
Keywords: InRadar
Depends on:
Blocks: 181004
  Show dependency treegraph
 
Reported: 2017-12-18 19:45 PST by Don Olmstead
Modified: 2017-12-20 17:11 PST (History)
7 users (show)

See Also:


Attachments
Patch (30.49 KB, patch)
2017-12-19 15:57 PST, Don Olmstead
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (3.61 MB, application/zip)
2017-12-19 17:41 PST, Build Bot
no flags Details
Patch (30.57 KB, patch)
2017-12-19 18:51 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (30.56 KB, patch)
2017-12-19 20:13 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (30.57 KB, patch)
2017-12-19 20:27 PST, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2017-12-18 19:45:21 PST
Currently WinCairo cannot compile with ICU 59.1+ as it changed UChar to be char16_t. WCharStringExtras should be used to work around this.

FileSystem related functionality has a lot of compile errors around this.
Comment 1 Don Olmstead 2017-12-18 19:48:28 PST
Have most of the things converted over to use WCharStringExtras. The thing I'm wondering is whether I should be using StringVectors or wchar_t[] when interacting with the Windows API.

https://trac.webkit.org/browser/webkit/trunk/Source/WebCore/platform/win/FileSystemWin.cpp#L152 uses StringVector

https://trac.webkit.org/browser/webkit/trunk/Source/WebCore/platform/win/FileSystemWin.cpp#L378 uses wchar_t

Happy to modernize anything while hanging out in this file as well.
Comment 2 Don Olmstead 2017-12-19 15:21:56 PST
Changing to just fix instances where WCharStringExtras can be used in WebCore.
Comment 3 Don Olmstead 2017-12-19 15:57:06 PST
Created attachment 329848 [details]
Patch

Just uses whats in WCharStringExtras. WebCore does not totally compile but its a start of it.
Comment 4 Build Bot 2017-12-19 17:14:33 PST
Attachment 329848 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/win/PasteboardWin.cpp:963:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/win/DragImageWin.cpp:78:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 2 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Build Bot 2017-12-19 17:41:35 PST
Comment on attachment 329848 [details]
Patch

Attachment 329848 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5762607

New failing tests:
fast/mediastream/MediaStream-MediaElement-setObject-null.html
Comment 6 Build Bot 2017-12-19 17:41:37 PST
Created attachment 329862 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 7 Don Olmstead 2017-12-19 18:51:22 PST
Created attachment 329874 [details]
Patch
Comment 8 Build Bot 2017-12-19 19:02:19 PST
Attachment 329874 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/win/PasteboardWin.cpp:963:  Tab found; better to use spaces  [whitespace/tab] [1]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Don Olmstead 2017-12-19 20:13:42 PST
Created attachment 329885 [details]
Patch

Fix style
Comment 10 Build Bot 2017-12-19 20:15:47 PST
Attachment 329885 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Don Olmstead 2017-12-19 20:27:05 PST
Created attachment 329886 [details]
Patch
Comment 12 WebKit Commit Bot 2017-12-20 17:10:55 PST
Comment on attachment 329886 [details]
Patch

Clearing flags on attachment: 329886

Committed r226205: <https://trac.webkit.org/changeset/226205>
Comment 13 WebKit Commit Bot 2017-12-20 17:10:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2017-12-20 17:11:37 PST
<rdar://problem/36168339>